Fetch account
curl --request GET \
--url https://api.sakari.io/v1/accounts/{accountId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.sakari.io/v1/accounts/{accountId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.sakari.io/v1/accounts/{accountId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": {
"id": "<string>",
"name": "<string>",
"plan": {
"id": "<string>",
"name": "<string>",
"price": 123,
"credit": 123,
"pricing": {},
"commitment": 123,
"maxCommitment": 123,
"minCommitment": 123,
"passThroughPlanEligible": true,
"includedPhoneNumberCountries": [
"<string>"
]
},
"defaults": {
"country": {
"code": "<string>",
"name": "<string>"
}
},
"apiCredentials": {
"id": "<string>",
"secret": "<string>"
},
"balance": 123,
"promoCode": "<string>",
"subscription": {
"activeUntil": "<string>"
},
"nextBillingDate": "<string>",
"trialExpiry": "2023-11-07T05:31:56Z",
"questionare": {},
"referrer": "<string>",
"externalName": "<string>",
"legalName": "<string>",
"info": {
"website": "<string>",
"phone": "<string>",
"email": "<string>",
"address": {
"line1": "<string>",
"line2": "<string>",
"city": "<string>",
"state": "<string>",
"country": {
"code": "<string>",
"name": "<string>",
"flag": "<string>",
"dialing": "<string>",
"aliass": [
"<string>"
],
"continent": "<string>",
"supported": true,
"alphaNumericSenderId": true,
"taxTypes": [
{
"type": "<string>",
"name": "<string>",
"example": "<string>"
}
]
},
"postalCode": "<string>"
}
},
"options": {
"universalMMS": true,
"verifyNumberType": true,
"autoLinkShorten": true,
"autotopup": {
"amount": 123,
"below": 123,
"lastTopup": "2023-11-07T05:31:56Z"
},
"autoEnroll": {
"domain": "<string>",
"role": "<string>",
"notifyEmail": "<string>"
},
"customDomain": {
"id": "<string>",
"domain": "<string>",
"renewAt": "<string>",
"verified": "<string>",
"created": {
"at": "2023-11-07T05:31:56Z",
"by": {
"id": "<string>",
"name": "Joe Bloggs",
"firstName": "Joe",
"lastName": "Bloggs",
"email": "joe@bloggs.com",
"source": "<string>",
"subSource": "<string>"
}
}
}
},
"integrations": {},
"partner": {
"paypalEmail": "<string>",
"submitted": "2023-11-07T05:31:56Z",
"approved": "2023-11-07T05:31:56Z",
"rejected": "2023-11-07T05:31:56Z",
"contact": "<string>"
},
"referralCode": "<string>",
"questionnaire": {},
"billing": {
"name": "<string>",
"email": "<string>",
"address": {
"line1": "<string>",
"line2": "<string>",
"city": "<string>",
"state": "<string>",
"country": {
"code": "<string>",
"name": "<string>",
"flag": "<string>",
"dialing": "<string>",
"aliass": [
"<string>"
],
"continent": "<string>",
"supported": true,
"alphaNumericSenderId": true,
"taxTypes": [
{
"type": "<string>",
"name": "<string>",
"example": "<string>"
}
]
},
"postalCode": "<string>"
},
"tax": {
"type": "<string>",
"id": "<string>"
}
},
"created": {
"at": "2023-11-07T05:31:56Z"
},
"suspended": {
"at": "2023-11-07T05:31:56Z"
},
"user": {
"role": "<string>",
"segmentUnderstanding": "2023-11-07T05:31:56Z"
}
}
}{
"success": true,
"error": {
"code": "CONT-010",
"description": "Contact has requested no further communication"
}
}{
"success": true,
"error": {
"code": "CONT-010",
"description": "Contact has requested no further communication"
}
}accounts
Fetch account
GET
/
v1
/
accounts
/
{accountId}
Fetch account
⌘I